Bug 1697977 - V1 + V2 combination doesn't work properly in a Nautilus fresh deployment
Summary: V1 + V2 combination doesn't work properly in a Nautilus fresh deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1594251
TreeView+ depends on / blocked
 
Reported: 2019-04-09 11:46 UTC by Francesco Pantano
Modified: 2020-01-31 12:46 UTC (History)
9 users (show)

Fixed In Version: ceph-ansible-4.0.0-0.1.rc6.el8cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:45:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3865 0 'None' closed update: refact msgr2 migration 2021-02-11 18:35:16 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:10 UTC

Description Francesco Pantano 2019-04-09 11:46:17 UTC
Deploying a standalone Ceph Nautilus cluster in a rdo deployment scenario, an issue appear during the monitor bootstrap phase.
In particular, using the standard config proposed and supported by the ceph-ansible playbook, the mon is unable to start election and form the quorum because it's stuck with the following messages (as per [1]):


7fb411007700  0 -- [v2:192.168.24.1:3300/0,v1:192.168.24.1:6789/0] send_to message mon_probe(probe 4b5c8c0a-ff60-454b-a1b4-9747aa737d19 name s
tandalone new mon_release 14) v7 with empty dest
debug 2019-04-09 07:47:25.826 7fb411007700  0 -- [v2:192.168.24.1:3300/0,v1:192.168.24.1:6789/0] send_to message mon_probe(probe 4b5c8c0a-ff60-454b-a1b4-9747aa737d19 name standalone new mon_release 14) v7 with empty dest
debug 2019-04-09 07:47:27.826 7fb411007700  0 -- [v2:192.168.24.1:3300/0,v1:192.168.24.1:6789/0] send_to message mon_probe(probe 4b5c8c0a-ff60-454b-a1b4-9747aa737d19 name standalone new mon_release 14) v7 with empty dest

In this attempt we've used the following ceph.conf:

https://logs.rdoproject.org/21/18721/29/check/rdoinfo-tripleo-stein-centos-7-scenario001-standalone/28c108e/logs/undercloud/etc/ceph/ceph.conf.txt.gz


Changing the ceph.conf mon host config to use just v2 syntax everything works fine (see log [2])

ceph.conf: https://logs.rdoproject.org/21/18721/29/check/rdoinfo-tripleo-stein-centos-7-scenario001-standalone/66edc15/logs/undercloud/etc/ceph/ceph.conf.txt.gz


Do you have a plan to handle this issue or make v1/v2 syntax more flexible/configurable by users in config phase of the playbook?


LOGS:
--

[1] RED CI (mon host = ip syntax):
https://logs.rdoproject.org/21/18721/29/check/rdoinfo-tripleo-stein-centos-7-scenario001-standalone/28c108e/logs/undercloud/home/zuul/undercloud-ansible-tjWQlx/ceph-ansible/ceph_ansible_command.log.txt.gz

[2] GREEN CI (mon host = [v2:ip:port] syntax):
https://logs.rdoproject.org/21/18721/29/check/rdoinfo-tripleo-stein-centos-7-scenario001-standalone/66edc15/logs/undercloud/home/zuul/undercloud-ansible-R9Kh3P/ceph-ansible/ceph_ansible_command.log.txt.gz

Comment 4 Yogev Rabl 2019-06-04 13:26:08 UTC
Verified in ceph-ansible-4.0.0-0.1.rc6.el8cp

Comment 6 errata-xmlrpc 2020-01-31 12:45:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.